**********************************
**********************************
** ML Nigeria
** B2d - LASSO Var Sel
**********************************
**********************************

/*
	READ ME
		set directory line 22
	This dofile uses datasets generated by dofile B2
*/

capture log close
clear all
set more off
set matsize 11000
version 14.1 

*set directory
cd
				
************
*Merge Data
************
		
	*Empl 2&4
	use "LASSOselE24.dta", clear
	*Empl 1&3
	merge 1:1 predictors using "LASSOselE13.dta", nogen
	*Sales 2&4
	merge 1:1 predictors using "LASSOselS24.dta", nogen
	*Sales 1&3
	merge 1:1 predictors using "LASSOselS13.dta", nogen
	*Profits 2&4
	merge 1:1 predictors using "LASSOselP24.dta", nogen
	*Profits 1&3
	merge 1:1 predictors using "LASSOselP13.dta", nogen
	order predictors
	save "LASSOSel.dta", replace
			
************
*Analysis
************
		
	use "LASSOSel.dta", clear
			
	*count variables selected
	count
			
	*Count how many of the 3*2=6 combinations a variable is chosen in
	egen count1=rownonmiss(E24_varsel- P13_varsel)
	*how many were selected only once
	tab count1
			
	*sort by number of time selected
	gsort -count1
	list predictor count1 if count1>=2
			
