**********************************
**********************************
** ML Nigeria
** B3c - Boosting Var Sel
**********************************
**********************************

/*
	READ ME
	Turn on/off: 
		set directory line 22
	This dofile uses datasets generated by dofile B3
*/

capture log close
clear all
set more off
set matsize 11000
version 14.1 

*set directory
cd
				
************
*Merger Data
************
		
	*Empl 2&4
	use "InfluE24.dta", clear
	*Empl 1&3
	merge 1:1 predictors using "InfluE13.dta", nogen
	*Sales 2&4
	merge 1:1 predictors using "InfluS24.dta", nogen
	*Sales 1&3
	merge 1:1 predictors using "InfluS13.dta", nogen
	*Profits 2&4
	merge 1:1 predictors using "InfluP24.dta", nogen
	*Profits 1&3
	merge 1:1 predictors using "InfluP13.dta", nogen
	order predictors
	save "BoostSel.dta", replace
			
************
*Analysis
************
		
	use "BoostSel.dta", clear
			
	*count variables selected
	count
			
	*Count how many of the 3*2=6  combinations a variable is chosen in
	egen count1=rownonmiss(InfluE24-InfluP13)
	*how many were selected only once
	count if count1==1
	tab count1
	
	*gen overall mean
	egen omean = rowmean(InfluE24-InfluP13)
			
	*sort by number of time selected
	gsort -count1
	list predictor count1 InfluE24-InfluP13 if count1>=4
	exit
			
	*sort by average influence
	gsort -omean
	list predictor count1 omean
			
